package com.agiledeveloper.ticktacktoe;

import java.util.Hashtable;

/**
 * User: Venkat Subramaniam
 * Date: Jul 11, 2004
 * Time: 11:18:32 AM
 */
public class InMemoryStore implements ITickTackToeScoreStore
{
    private Hashtable scores = new Hashtable();

    public void updateScore(String playerName)
    {
        int score = getScore(playerName) + 1;
        scores.put(playerName, "" + score);
    }

    public int getScore(String playerName)
    {
        int score = 0;
        Object scoresObject = scores.get(playerName);
        if (scoresObject != null)
            score = Integer.parseInt(scoresObject.toString());
        return score;
    }
}